package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;
import java.util.List;

public class Tag71FCreator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag71FCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        List<String> tag71FValue = mt103RemitCreator.getSendersCharges();
        if( tag71FValue != null ) { mt103RemitCreator.set("71F", tag71FValue, true); }
    }
}
